Bug 252361 - x11/gtk-app-menu: Update to 0.7.6
Summary: x11/gtk-app-menu: Update to 0.7.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Neel Chauhan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-02 21:39 UTC by Trenton Schulz
Modified: 2021-03-16 23:23 UTC (History)
4 users (show)

See Also:


Attachments
Diff against the current port. (2.80 KB, patch)
2021-01-02 21:39 UTC, Trenton Schulz
trueos: maintainer-approval+
Details | Diff
Correct patch, which missed a patch (6.97 KB, patch)
2021-01-02 21:48 UTC, Trenton Schulz
trueos: maintainer-approval+
trueos: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Trenton Schulz 2021-01-02 21:39:46 UTC
Created attachment 221212 [details]
Diff against the current port.

Update the x11/gtk-app-menu to 0.7.6.

No changelog unfortunately.

Examining the git log for the project, there is one crash fix for applications that should not use the app menu. The main change is to move from cmake to meson. The main source tree has changed and it now requires vala to compile.

These changes should make it possible to create the other components in this repo as ports someday (e.g., vala-panel-menu, xfce-panel-menu). Regardless, these future ports will *require* this library, which works fine standalone.
Comment 1 Trenton Schulz 2021-01-02 21:48:19 UTC
Created attachment 221213 [details]
Correct patch, which missed a patch
Comment 2 Fernando Apesteguía freebsd_committer 2021-01-03 17:42:07 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]


Thanks!
Comment 3 Trenton Schulz 2021-01-03 17:47:25 UTC
(In reply to Fernando Apesteguía from comment #2)
OK, I think I have toggeled the correct maintainer-approval bits correctly. Sorry that I didn't do that in the initial report.
Comment 4 Fernando Apesteguía freebsd_committer 2021-01-03 17:51:48 UTC
(In reply to Trenton Schulz from comment #3)
Thanks!
Comment 5 Graham Perrin 2021-01-08 22:47:15 UTC
Incidentally before discovering the port I stumbled across https://reviews.freebsd.org/D20597

> ⚙ D20597 [new port] devel/appmenu-gtk-module: GTK+ application menu modules

> Needs Review

I was confused until I realised, 

% pkg query '%o %v %R' appmenu-gtk-module
x11/gtk-app-menu 0.7.3.2 FreeBSD
%
Comment 6 Neel Chauhan freebsd_committer 2021-03-16 23:20:37 UTC
Committed!
Comment 7 commit-hook freebsd_committer 2021-03-16 23:23:00 UTC
A commit references this bug:

Author: nc
Date: Tue Mar 16 23:22:29 UTC 2021
New revision: 568620
URL: https://svnweb.freebsd.org/changeset/ports/568620

Log:
  x11/gtk-app-menu: Update to 0.7.6

  PR:             252361
  Submitted by:   Trenton Schulz <trueos AT norwegianrockcat DOT com> (maintainer)

Changes:
  head/x11/gtk-app-menu/Makefile
  head/x11/gtk-app-menu/distinfo
  head/x11/gtk-app-menu/files/patch-lib_dbusmenu-importer_importer.c
  head/x11/gtk-app-menu/files/patch-meson.build
  head/x11/gtk-app-menu/files/patch-subprojects_appmenu-gtk-module_cmake_GLibProgramHandlers.cmake
  head/x11/gtk-app-menu/files/patch-subprojects_appmenu-gtk-module_src_CMakeLists.txt
  head/x11/gtk-app-menu/pkg-plist